package com.foreverwin.mesnac.anomaly.dto;

import com.foreverwin.mesnac.anomaly.model.AbnormalBill;
import com.foreverwin.mesnac.meapi.model.DataFieldList;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-07-05
 */
public class AbnormalBillDto extends AbnormalBill {

    /**
     * seq
     */
    private String seq;
    /**
     * 物料描述
     */
    private String itemDescription;

    /**
     * 开始时间
     */
    private LocalDateTime startDateTime;

    /**
     * 结束时间
     */
    private LocalDateTime endDateTime;

    private String workCenterDescription;

    private String resrceDescription;

    private String reportUser;

    private String abnormalMethod;

    private String confirmUser;

    private String resolveRemark;

    private String ncCodeDescription;

    private String workOrder;

    private String productionCategory;

    private String checkUsr;

    private List<DataFieldList> cancelCodeList;

    public String getCheckUsr() {
        return checkUsr;
    }

    public void setCheckUsr(String checkUsr) {
        this.checkUsr = checkUsr;
    }

    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public LocalDateTime getStartDateTime() {
        return startDateTime;
    }

    public void setStartDateTime(LocalDateTime startDateTime) {
        this.startDateTime = startDateTime;
    }

    public LocalDateTime getEndDateTime() {
        return endDateTime;
    }

    public void setEndDateTime(LocalDateTime endDateTime) {
        this.endDateTime = endDateTime;
    }

    public String getWorkCenterDescription() {
        return workCenterDescription;
    }

    public void setWorkCenterDescription(String workCenterDescription) {
        this.workCenterDescription = workCenterDescription;
    }

    public String getResrceDescription() {
        return resrceDescription;
    }

    public void setResrceDescription(String resrceDescription) {
        this.resrceDescription = resrceDescription;
    }



    public String getAbnormalMethod() {
        return abnormalMethod;
    }

    public void setAbnormalMethod(String abnormalMethod) {
        this.abnormalMethod = abnormalMethod;
    }

    public String getConfirmUser() {
        return confirmUser;
    }

    public void setConfirmUser(String confirmUser) {
        this.confirmUser = confirmUser;
    }

    public String getResolveRemark() {
        return resolveRemark;
    }

    public void setResolveRemark(String resolveRemark) {
        this.resolveRemark = resolveRemark;
    }

    public String getReportUser() {
        return reportUser;
    }

    public void setReportUser(String reportUser) {
        this.reportUser = reportUser;
    }

    public String getNcCodeDescription() {
        return ncCodeDescription;
    }

    public void setNcCodeDescription(String ncCodeDescription) {
        this.ncCodeDescription = ncCodeDescription;
    }

    public String getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(String workOrder) {
        this.workOrder = workOrder;
    }

    public String getProductionCategory() {
        return productionCategory;
    }

    public void setProductionCategory(String productionCategory) {
        this.productionCategory = productionCategory;
    }

    public List<DataFieldList> getCancelCodeList() {
        return cancelCodeList;
    }

    public void setCancelCodeList(List<DataFieldList> cancelCodeList) {
        this.cancelCodeList = cancelCodeList;
    }
}
